Subject: bug#14328: buffer cloned with clone-indirect-buffer is refontified with the source, when switching mode

From: Left Right <[email-masked]>
Date: Sun, 5 May 2013 08:38:54 +0300

Hi Stefan.

I discovered it when trying to edit an MSBuild file (that's a MSVS
project). It is normally an XML, but you can use some C# inside to write
inline tasks, so I wanted to have a buffer that highlights C# code on one
side and XML on the other side.

On Sun, May 5, 2013 at 8:09 AM, Stefan Monnier <[email-masked]>wrote:

> > When I clone buffer using clone-indirect-buffer (C-x 4 c), and then
> change
> > major mode, the newly created buffer will enter the requested major mode,
> > but will cause the original buffer to be refontified in the same way the
> > clone buffer is. Thereafter whenever I change major mode, the same thing
> > happens.
>
> Yup.  Indirect buffers suck.  What do you use clone-indirect-buffer for?
>
>
>         Stefan
>